Package com.sas.services.information.search

# Class KeywordFilter

java.lang.Object
com.sas.services.information.search.KeywordFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class KeywordFilter extends Object implements SearchFilter, Serializable
The KeywordFilter class is used to filter objects by their associated keywords. For instance, an application may need to display only those objects with the associated keywords.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `_keywords`
  `protected static final String`
  `ASSOCIATION_NAME`
  `protected static final String`
  `ASSOCIATION_TYPE`
  `protected static final String`
  `KEYWORD_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeywordFilter(List<String> keywords)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria
  `String`
  `getFilterDescription()`
  Returns the description of this filter.
  `String`
  `getFilterType()`
  Returns the localized name of this filter.
  `List<String>`
  `getKeywords()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEYWORD_NAME

    protected static final String KEYWORD_NAME
    See Also:
      - Constant Field Values

  - ### ASSOCIATION_NAME

    protected static final String ASSOCIATION_NAME
    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TYPE

    protected static final String ASSOCIATION_TYPE
    See Also:
      - Constant Field Values

  - ### _keywords

    protected List<String> _keywords

- ## Constructor Details

  - ### KeywordFilter

    public KeywordFilter(List<String> keywords)

- ## Method Details

  - ### getKeywords

    public List<String> getKeywords()

  - ### getFilterType

    public String getFilterType()
    Description copied from interface: `SearchFilter`
    Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.
    Specified by:
      `getFilterType` in interface `SearchFilter`
    Returns:
      filter type

  - ### getFilterDescription

    public String getFilterDescription()
    Description copied from interface: `SearchFilter`
    Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.
    Specified by:
      `getFilterDescription` in interface `SearchFilter`
    Returns:
      the filter description

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`